libvisio::VSDNURBSTo3 Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDNURBSTo3 Class Reference
Inheritance diagram for libvisio::VSDNURBSTo3:

## Public Member Functions
| VSDNURBSTo3 (unsigned id, unsigned level, const boost::optional< double > &x2, const boost::optional< double > &y2, const boost::optional< double > &knot, const boost::optional< double > &knotPrev, const boost::optional< double > &weight, const boost::optional< double > &weightPrev, const boost::optional< NURBSData > &data)
| ~VSDNURBSTo3 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual void | handle (VSDCollector *collector) const =0
virtual VSDGeometryListElement * | clone ()=0
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
NURBSData | m_data
double | m_x2
double | m_y2
double | m_knot
double | m_knotPrev
double | m_weight
double | m_weightPrev

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDNURBSTo3()

libvisio::VSDNURBSTo3::VSDNURBSTo3 | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x2,
|  | const boost::optional< double > & | y2,
|  | const boost::optional< double > & | knot,
|  | const boost::optional< double > & | knotPrev,
|  | const boost::optional< double > & | weight,
|  | const boost::optional< double > & | weightPrev,
|  | const boost::optional< NURBSData > & | data
| ) |  |
| inline

## ◆ ~VSDNURBSTo3()

libvisio::VSDNURBSTo3::~VSDNURBSTo3 | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDNURBSTo3::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDNURBSTo3::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_data

NURBSData libvisio::VSDNURBSTo3::m_data

## ◆ m_knot

double libvisio::VSDNURBSTo3::m_knot

## ◆ m_knotPrev

double libvisio::VSDNURBSTo3::m_knotPrev

## ◆ m_weight

double libvisio::VSDNURBSTo3::m_weight

## ◆ m_weightPrev

double libvisio::VSDNURBSTo3::m_weightPrev

## ◆ m_x2

double libvisio::VSDNURBSTo3::m_x2

## ◆ m_y2

double libvisio::VSDNURBSTo3::m_y2

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp